#include "BeaconMapObjectPlacer.h"

#include "Airport.h"
#include "BeaconMapObject.h"

IMPLEMENT_CLASS(BeaconMapObjectPlacer,MapObjectPlacer);

BeaconMapObjectPlacer::BeaconMapObjectPlacer(Airport::SmartRef airport):
        _airport(airport)
{
}

BeaconMapObjectPlacer::~BeaconMapObjectPlacer() {
}

MapObject* BeaconMapObjectPlacer::PlaceObject(Point3D position) {
        BeaconMapObject::SmartRef beacon=new BeaconMapObject(_airport->GetTransactionManager(),
                                   position,
                                   BeaconMapObject::Beacon_WhiteGreen_Flash,
                                   wxT("White-Green Flash Beacon"));
        _airport->GetObjectsLayer()->AttachObject(beacon);
        return beacon;
}

