#ifndef StartupLocationMapObjectPlacer_h
#define StartupLocationMapObjectPlacer_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Main/MapObjectPlacer.h>

#include <Airport/Airport.h>

class StartupLocationMapObjectPlacer: public MapObjectPlacer {
        
        DECLARE_CLASS(StartupLocationMapObjectPlacer)
        
public:
        StartupLocationMapObjectPlacer(Airport::SmartRef airport);
        virtual ~StartupLocationMapObjectPlacer();

        virtual MapObject* PlaceObject(Point3D position);
protected:
        Airport* _airport;
};

#endif

