#ifndef StartupLocationRadiusHandle_h
#define StartupLocationRadiusHandle_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif
#include <Map/MapSelectionHandle.h>

#include "StartupLocationSelection.h"

class StartupLocationRadiusHandle: public MapSelectionHandle {
        
        DECLARE_CLASS(StartupLocationRadiusHandle)
        
public:
	StartupLocationRadiusHandle(StartupLocationSelection* selection);
        virtual ~StartupLocationRadiusHandle();
        
        virtual void StartDrag(Point3D currentPosition);
        
        virtual void Drag(Point3D currentPosition);
        
        virtual wxString EndDrag();
        
        StartupLocationSelection* GetSelection() const { return wxDynamicCast(MapSelectionHandle::GetSelection(),StartupLocationSelection); }
protected:
        Point3D _delta;
};

#endif

