#ifndef TowerMapObjectPlacer_h
#define TowerMapObjectPlacer_h

// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif

#include <Main/MapObjectPlacer.h>

#include "Airport.h"

class TowerMapObjectPlacer: public MapObjectPlacer {
        
        DECLARE_CLASS(TowerMapObjectPlacer)
        
public:
        TowerMapObjectPlacer(Airport::SmartRef airport);
        virtual ~TowerMapObjectPlacer();

        virtual MapObject* PlaceObject(Point3D position);
protected:
        Airport::SmartRef _airport;
};

#endif

