#include "WindsockMapObjectPlacer.h"

#include "Airport.h"
#include "WindsockMapObject.h"

IMPLEMENT_CLASS(WindsockMapObjectPlacer,MapObjectPlacer);

WindsockMapObjectPlacer::WindsockMapObjectPlacer(Airport::SmartRef airport):
        _airport(airport)
{
}

WindsockMapObjectPlacer::~WindsockMapObjectPlacer() {
}

MapObject* WindsockMapObjectPlacer::PlaceObject(Point3D position) {
        WindsockMapObject::SmartRef windsock=new WindsockMapObject(_airport->GetTransactionManager(),
                                                                   position,
                                                                   true,
                                                                   wxT("Windsock"));
        _airport->GetObjectsLayer()->AttachObject(windsock);
        return windsock;
}

